 # -*-cperl-*-
 #
 #   $Id: Makefile.PL,v 1.1 2007/01/29 14:54:45 zarahg Exp $
 #
 #   This  file  is  part of the  PodWiki  web-based authoring tool.
 #
 #   By  accessing  this software,  PodWiki,  you are  duly informed
 #   of and  agree to be  bound  by the  conditions  described below
 #   in this notice:
 #
 #   This software product, PodWiki,  is developed by  Thomas Linden
 #   and   copyrighted  (C)      2007   by  Thomas Linden,  with all
 #   rights reserved.
 #
 #   There is  no charge for  PodWiki software. You can redistribute
 #   it and/or modify it under  the terms of the  GNU General Public
 #   License, which is incorporated by reference herein.
 #
 #   PodWiki is distributed WITHOUT ANY WARRANTY,IMPLIED OR EXPRESS,
 #   OF  MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE or that
 #   the  use of it will not infringe on any third party's intellec-
 #   tual property rights.
 #
 #   You  should  have  received a  copy  of  the GNU General Public
 #   License along with PodWiki.  Copies  can also be obtained from:
 #
 #     http://www.gnu.org/copyleft/gpl.html
 #
 #   or by writing to:
 #
 #     Free Software Foundation, Inc.
 #     59 Temple Place, Suite 330
 #     Boston, MA 02111-1307
 #     USA
 #
 #   Or contact:
 #
 #    "Thomas Linden" <tom@daemon.de>
 #
 #   Additional Copyrights:
 #
 #

use ExtUtils::MakeMaker;


WriteMakefile(
  'NAME'         => 'PodWiki',
  'VERSION_FROM' => 'lib/PodWiki.pm', # finds $VERSION
  'EXE_FILES'    => [ 'support/podwiki-install' ],
  'clean'        => { FILES => '*~ */*~' },
  'EXCLUDE_EXT'  => [ qw(Pod::Tree README) ],
);

print qq(
 ****
 **** Make sure to execute "podwiki-install" after installation
 **** to install a podwiki instance to some web directory!
 ****
);
